Page MenuHomePhabricator

Add Shawiya (shy-latn) to Names.php
Closed, ResolvedPublic

Description

Add Shawiya (shy-latn) to Names.php

First export from translatewiki.net with https://gerrit.wikimedia.org/r/#/c/431326/

Event Timeline

Raymond created this task.May 7 2018, 2:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 2:22 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMay 7 2018, 3:43 PM
MarcoAurelio added a comment.EditedMay 7 2018, 3:51 PM

I'm unsure which language choose as fallback. I'm thinking on french due to the colonial past of Algeria, where I think most people still understand/use the language and Shawiya being in Latin script. Arabic is out of the question for me as this is a latin script language. I'd appreciate some guidance here @Amire80 - thanks.

I've also seen https://en.wikipedia.org/wiki/Kabyle_language as candidate, but I'm not sure here.

Change 431602 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/core@master] (WIP/DNM) Add support for Tachawit (latin script) (shy-latn)

https://gerrit.wikimedia.org/r/431602

Hi again @Amire80: @Raymond and myself are not sure which is the "official" name for Shawiya. ISO639-3 names it "Tachawit", Wikipedia mentions 2 other similar names so we doubt which one to choose. Also, insisting on my question above at T194047#4187192, I am not sure which fallback language, if any, should we use. I propose French, but I'm not sure either. Thanks for your help.

MarcoAurelio triaged this task as Medium priority.May 15 2018, 1:42 PM

Change 431602 merged by jenkins-bot:
[mediawiki/core@master] Add support for Tachawit (Latin script) (shy-latn)

https://gerrit.wikimedia.org/r/431602

Raymond closed this task as Resolved.May 21 2018, 9:07 AM
Vvjjkkii renamed this task from Add Shawiya (shy-latn) to Names.php to 4gdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed MarcoAurelio as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Community_Tech_bot renamed this task from 4gdaaaaaaa to Add Shawiya (shy-latn) to Names.php.Jul 1 2018, 6:07 AM
Community_Tech_bot closed this task as Resolved.
Community_Tech_bot updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Medium.Jul 3 2018, 3:28 AM
jhsoby reopened this task as Open.Nov 25 2019, 11:10 AM
jhsoby added a subscriber: jhsoby.

The community at the newly created shywiktionary are saying the name should be "tacawit", not "tachawit". I'll add a patch to amend this shortly.

Change 552778 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[mediawiki/core@master] Fix Shawiya's autonym in Names.php

https://gerrit.wikimedia.org/r/552778

MarcoAurelio added a comment.EditedNov 29 2019, 4:54 PM

SIL states at https://iso639-3.sil.org/code/shy that the language name is Tachawit. I don't think we should be deviating from the standards unless the language name recorded at SIL is wrong, in which case SIL must be corrected first. "Community said so" is a rather weak reason. Rather they should state why the language name recorded at SIL is wrong, and maybe someone submit a change request at SIL. If SIL accepts the change, we could rename it on core afterwards.

We write it all the official documents and in all the books in this languages ''Tacawit.''

SIL states at https://iso639-3.sil.org/code/shy that the language name is Tachawit. I don't think we should be deviating from the standards unless the language name recorded at SIL is wrong, in which case SIL must be corrected first. "Community said so" is a rather weak reason. Rather they should state why the language name recorded at SIL is wrong, and maybe someone submit a change request at SIL. If SIL accepts the change, we could rename it on core afterwards.

SIL only records the names of languages in English (compare the page you linked to… well, any other language code). This is the autonym, and I think the native speakers know best what their own language is called.

MarcoAurelio closed this task as Resolved.Dec 3 2019, 10:57 AM

Change 552778 merged by jenkins-bot:
[mediawiki/core@master] Fix Shawiya's autonym in Names.php

https://gerrit.wikimedia.org/r/552778